Technical requirements

The browsers that we support for the new eservices portal containing the 2012 Act products of Advanced Notices and the 2012 Act eform, are:

Internet Explorer - IE9, IE10, IE11

Firefox - Current, v30, v31, v32

Chrome – Current, v35, v36, v37

Safari – Current, v4, v5, v5.1, v6.1, v7

ARTL requires Internet Explorer version 9 or above, please note this does not include Windows 10 EDGE browser.